Permalink
Browse files

2.0.4 with improved py2.6 support.

  • Loading branch information...
ralphbean committed Apr 16, 2012
1 parent e37b7e1 commit 7b6784e1df26079ca4e154d7bf5160f87d09f9b3
Showing with 20 additions and 2 deletions.
  1. +19 −1 python-tw2-core.spec
  2. +1 −1 setup.py
@@ -3,7 +3,7 @@
%global modname tw2.core
Name: python-tw2-core
Version: 2.0.3
Version: 2.0.4
Release: 1%{?dist}
Summary: Web widget creation toolkit based on TurboGears widgets
@@ -28,6 +28,7 @@ BuildRequires: python-speaklater
BuildRequires: python-paste-deploy
# Specifically for the test suite
BuildRequires: python-unittest2
BuildRequires: python-nose
BuildRequires: python-coverage
BuildRequires: python-BeautifulSoup
@@ -63,6 +64,18 @@ development tools are in tw2.devtools.
%prep
%setup -q -n %{modname}-%{version}
%if %{?rhel}%{!?rhel:0} >= 6
# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py
# Remove all the fancy nosetests configuration for older python
rm setup.cfg
%endif
%build
%{__python} setup.py build
@@ -83,6 +96,11 @@ rm -rf %{buildroot}
%{python_sitelib}/*
%changelog
* Mon Apr 16 2012 Ralph Bean <rbean@redhat.com> - 2.0.4-1
- Packaged latest version of tw2.core which fixes tests on py2.6.
- Added awk line to make sure pkg_resources picks up the right WebOb on el6
- Added dependency on python-unittest2
* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.3-1
- Packaged the latest release of tw2.core.
- Fixed rpmlint - python-bytecode-without-source
@@ -35,7 +35,7 @@ def get_description(fname='README.rst'):
setup(
name='tw2.core',
version='2.0.3',
version='2.0.4',
description="Web widget creation toolkit based on TurboGears widgets",
long_description = get_description(),
install_requires=[

0 comments on commit 7b6784e

Please sign in to comment.